Bug 46973 - Libreoffice uses GtkMenu background as color of document frame shadow
Summary: Libreoffice uses GtkMenu background as color of document frame shadow
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval, topicUI
Depends on:
Blocks: GTK UI-Theming
  Show dependency treegraph
 
Reported: 2012-03-05 05:42 UTC by Tomasz Sałaciński
Modified: 2021-12-03 04:24 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomasz Sałaciński 2012-03-05 05:42:22 UTC
Hello,

LibreOffice have issue with darker themes - because it uses GtkMenu background for frame shadow, and foreground color (text color) for frame itself.

When a GTK theme have darker menus but light background (such as Zukitwo, Ubuntu theme) it will draw ugly, fat black borders. Screenshot:

http://luxperpetua.net/lo-screenshot.png

The solution is to use GtkWidget background for frame shadow, or use GtkMenu text color for frame color (this way we'll be sure that there will be contrast between two colors - text must be readable inside menu).

I can try to fix this, but where is the code for this?
Comment 1 Roman Eisele 2012-05-07 10:27:41 UTC
This is (at least at the surface) a UI issue, therefore changed the 'Component' field accordingly.
Comment 2 Samuel Mehrbrodt (allotropia) 2013-10-26 21:15:24 UTC
Hi Tomasz,
can you please upload the screenshot here? It's no longer available at the given URL.

Thanks
Comment 3 QA Administrators 2014-05-17 00:34:01 UTC
Dear Bug Submitter,

Please read the entire message before proceeding.

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 4 Adolfo Jayme Barrientos 2014-05-19 15:58:59 UTC
This is atill a bog in 4.3, just use a theme such as Numix and look at the harsh borders around the sidebar.
Comment 5 Julien Nabet 2014-11-30 16:07:02 UTC
If it can help, here are Opengrok's results (just 1 page) searching gtkMenu:
http://opengrok.libreoffice.org/search?q=GtkMenu&project=core&defs=&refs=&path=&hist=
Comment 6 Robinson Tryon (qubit) 2015-12-13 11:24:23 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2017-10-26 08:09:35 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2019-12-03 14:00:43 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2021-12-03 04:24:49 UTC
Dear Tomasz Sałaciński,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug